Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DetachVolumeRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DetachVolumeRequest

    public class DetachVolumeRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DetachVolume operation`.

Detach a previously attached volume from a running instance.

See Also:
  `AmazonEC2.detachVolume(DetachVolumeRequest)`

Constructor Summary
`DetachVolumeRequest()`

Method Summary
`String` | `getDevice()` The device name to which the volume is attached on the specified instance.
`Boolean` | `getForce()` Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).
`String` | `getInstanceId()` The ID of the instance from which to detach the the specified volume.
`String` | `getVolumeId()` The ID of the volume to detach.
`Boolean` | `isForce()` Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).
`void` | `setDevice(String device)` The device name to which the volume is attached on the specified instance.
`void` | `setForce(Boolean force)` Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).
`void` | `setInstanceId(String instanceId)` The ID of the instance from which to detach the the specified volume.
`void` | `setVolumeId(String volumeId)` The ID of the volume to detach.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DetachVolumeRequest` | `withDevice(String device)` The device name to which the volume is attached on the specified instance.
`DetachVolumeRequest` | `withForce(Boolean force)` Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).
`DetachVolumeRequest` | `withInstanceId(String instanceId)` The ID of the instance from which to detach the the specified volume.
`DetachVolumeRequest` | `withVolumeId(String volumeId)` The ID of the volume to detach.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DetachVolumeRequest

    public DetachVolumeRequest()

Method Detail

### getVolumeId

    public String getVolumeId()

  The ID of the volume to detach.

  Returns:
    The ID of the volume to detach.

### setVolumeId

    public void setVolumeId(String volumeId)

  The ID of the volume to detach.

  Parameters:
    `volumeId` - The ID of the volume to detach.

### withVolumeId

    public DetachVolumeRequest withVolumeId(String volumeId)

  The ID of the volume to detach.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeId` - The ID of the volume to detach.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceId

    public String getInstanceId()

  The ID of the instance from which to detach the the specified volume.

  Returns:
    The ID of the instance from which to detach the the specified volume.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance from which to detach the the specified volume.

  Parameters:
    `instanceId` - The ID of the instance from which to detach the the specified volume.

### withInstanceId

    public DetachVolumeRequest withInstanceId(String instanceId)

  The ID of the instance from which to detach the the specified volume.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance from which to detach the the specified volume.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDevice

    public String getDevice()

  The device name to which the volume is attached on the specified instance.

  Returns:
    The device name to which the volume is attached on the specified instance.

### setDevice

    public void setDevice(String device)

  The device name to which the volume is attached on the specified instance.

  Parameters:
    `device` - The device name to which the volume is attached on the specified instance.

### withDevice

    public DetachVolumeRequest withDevice(String device)

  The device name to which the volume is attached on the specified instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `device` - The device name to which the volume is attached on the specified instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isForce

    public Boolean isForce()

  Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

  This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

  Returns:
    Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

    This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

### setForce

    public void setForce(Boolean force)

  Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

  This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

  Parameters:
    `force` - Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

    This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

### withForce

    public DetachVolumeRequest withForce(Boolean force)

  Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

  This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `force` - Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

    This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getForce

    public Boolean getForce()

  Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

  This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

  Returns:
    Forces detachment if the previous detachment attempt did not occur cleanly (logging into an instance, unmounting the volume, and detaching normally).

    This option can lead to data loss or a corrupted file system. Use this option only as a last resort to detach a volume from a failed instance. The instance will not have an opportunity to flush file system caches nor file system meta data. If you use this option, you must perform file system check and repair procedures.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.